-- Only for DHC6 Twin Otter Extended by Aerosoft --
-- Torque Pressure Gauge Left Version 3 --
-- By Christian R (arcc) --

-- Global variables Torque Pressure Left --
local trqpress1    = 0
local target_trqpress1   = 0
local factor      = 0.05
local max_trqpress1    = 75

-- Images --
img_add_fullscreen("torque_left_backdrop_day.png")
img_needle = img_add_fullscreen("needle.png")
img_add_fullscreen("cache.png")

mask_day = img_add_fullscreen("mask_day.png")
mask_light = img_add_fullscreen("mask_light.png")
mask_night = img_add_fullscreen("mask_night.png")
mask_dusk = img_add_fullscreen("mask_dusk.png")

--choix d'image en fontion de l'eclairage--
 function new_light_FSX(light,ambiance,master)
lighted=light and master
img_visible(mask_light, lighted)
img_visible(mask_night, lighted == false and ambiance== 3)
img_visible(mask_dusk, lighted == false and ambiance== 2)
img_visible(mask_day, ambiance == 1)

end

-- Function for Torque Pressure --
function Var_Eng1PSI(trqpress1)
	
	target_trqpress1 = var_cap(trqpress1, 0, max_trqpress1)

end

-- Slowly move needle --
function timer_callback()	

	img_rotate(img_needle, 264/75 * (trqpress1) + 6)
    trqpress1 = trqpress1 + ((target_trqpress1 - trqpress1) * factor)

end

--Images--
img_add_fullscreen("glass.png") -- Without glass insert two - at the beginning of the line 

-- FSX Variables --
fsx_variable_subscribe("L:DHC6_Eng1_PSI", "", Var_Eng1PSI) -- Twin Otter Extended Variable 
fsx_variable_subscribe("LIGHT PANEL","Bool",
                  "TIME OF DAY", "Enum",
                  "ELECTRICAL MASTER BATTERY", "Bool", new_light_FSX)  -- FSX Variables night light

-- Timers --
tmr_update = timer_start(0, 60, timer_callback)